import React, { Component } from 'react'
import { geoAlbers, geoPath, geoGraticule } from 'd3';

//const projection = d3.geoNaturalEarth1();
//const projection = d3.geoAzimuthalEqualArea();
//const projection = d3.geoAzimuthalEquidistant();

const projection = geoAlbers();
const pathOfState = geoPath(projection);
const graticule = geoGraticule();

var colorLut = d3.scaleThreshold()
//    .domain(d3.range(0.01, 0.14))
    .domain(d3.range(2, 10))
    .range(d3.schemeGreens[9]);
//    .range(d3.schemeBlues[9]);

class Marks extends Component {
  render() {
    const {data, color} = this.props;
    
    return (
//export const Marks = ({ data: { state, interior, rateMap }, color: {sampleData} }) => (
  <g className="marks">
    <path className="sphere" d={pathOfState({ type: 'Sphere' })} />
    {state.features.map(feature => (
      <path
        className="states"
        d={pathOfState(feature)}
//     		fill={sampleData[state.id].color}
//     		fill={colorLut(rate = rateMap.get(state.id))}
//        fill = "#00008F"
//        fill={function(d) { return sampleData[d.id].color; }}
      />
    ))}
    <path className="interiors" d={pathOfState(interior)} />
    <text
      className="interiors"
      text="Hellowsdafkaj"
      transform={function(d) {
        var bbox = this.parentNode.getBBox();
        console.log(bbox);
        return (
          'translate(' +
          (bbox.x + bbox.width / 2) +
          ',' +
          (bbox.y + bbox.height / 2) +
          ')'
        );
      }}
    />
  </g>
)}}
export default Marks;
